Get a list of returns - Fabric
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a list of returns
cURL
curl --request GET \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/rmas/ \
--header 'Authorization: Bearer <token>'
import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/rmas/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/rmas/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


200
{
"count": 1005,
"results": [\
{\
"order_id": 1000,\
"reason_id": 344,\
"id": 4,\
"purchase_order_number": "CS192168",\
"rma_number": "ABC123",\
"status": "Pending",\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"created_by": "Retailer",\
"rmad_at": "2022-09-10T15:24:56Z",\
"approved_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"ordered_at": "2022-09-10T15:24:56Z",\
"acknowledged_at": "2022-09-10T15:24:56Z",\
"rma_lines": [\
{\
"id": 567,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"quantity": 20,\
"quantity_shipped": 10,\
"net_price": "12.00"\
}\
],\
"reason": "Incorrect",\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"attachments": [\
{\
"id": 268,\
"content_type": 1,\
"object_id": 666,\
"file": "Sample file",\
"uploaded_by": 646,\
"visible_by": "connections",\
"original_filename": "Sample1",\
"filename": "Sample1",\
"tags": [\
{\
"tag": "demotag",\
"id": 432\
}\
],\
"url": "https://assets.sample.com/attachments/path_to_attachment/attachment.pdf"\
}\
],\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"total_amount": "34.00",\
"credits": [\
{\
"id": 20,\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"rma": "<unknown>",\
"invoice": {\
"invoice_number": "RC123456",\
"id": 1,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"connection_id": 2,\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"terms_type": "Previously agreed upon",\
"terms_description": "Previously agreed upon terms will apply",\
"terms_net_days_due": 35,\
"terms_date_due": null,\
"terms_discount_percent": null,\
"order_id": "O-654",\
"customer_order_number": "CO-435",\
"purchase_order_number": "PO-546",\
"status": "closed",\
"remit_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_from": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"sold_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"shipping_carrier_name": "ALZ carrier",\
"shipping_carrier_code": "230F",\
"shipping_account_number": "SH879",\
"shipping_method_name": "Next day delivery",\
"shipping_method_code": "ND",\
"shipping_tracking_number": "1Z9999999999999988",\
"shipping_weight": "7.00",\
"notes": "Signature required",\
"invoiced_at": "2022-05-10T15:24:56Z",\
"ordered_at": "2022-05-10T15:24:56Z",\
"shipped_at": "2022-05-10T15:24:56Z",\
"acknowledged_at": "2022-06-10T15:24:56Z",\
"paid_at": "2022-06-10T15:24:56Z",\
"closed_at": null,\
"canceled_at": null,\
"allowances": [\
{\
"description": "Sample-discount-allowance",\
"price": "12.10",\
"id": 1,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"charges": [\
{\
"description": "Sample invoice and its description",\
"price": "23.45",\
"id": 654,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"invoice_lines": [\
{\
"quantity": 45,\
"price": "12.00",\
"id": 765,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"invoice_line_number": 2,\
"item_brand_identifier": "Vend134",\
"item_upc": "911911911112",\
"name": "SamPro1",\
"description": "Sample description of product",\
"canceled_at": null,\
"retail_price": "14.00"\
}\
],\
"net_amount": "12.89",\
"due_amount": "2.89",\
"expected_due_amount": "2.89",\
"subtotal": "10.89",\
"tax": "2.00",\
"invoice_acceptance": {\
"id": 565,\
"accepted_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"rejected_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"reject_reason": "Incorrect",\
"accepted_at": "2022-08-10T15:24:56Z",\
"rejected_at": null\
}\
},\
"order": "<string>",\
"credit_number": "849238",\
"credit_lines": [\
{\
"quantity": 10,\
"id": 566,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"net_price": "12.99"\
}\
],\
"adjustments": [\
{\
"id": 566,\
"description": "Sample description for adjustment",\
"net_price": "1.00"\
}\
],\
"acknowledged_at": "2022-09-10T15:24:56Z",\
"credited_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z",\
"subtotal": "20.00",\
"credit_amount": "24.00"\
}\
]\
}\
],
"next": "https://api.example.org/demo/{retailer_id}/?page=5",
"previous": "https://api.example.org/demo/{retailer_id}/?page=3"
}
GET
/
v1
/
retailers
/
{retailer_id}
/
rmas
/
Try it
Get a list of returns
cURL
")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
```
```
require 'uri'
require 'net/http'
url = URI("https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/rmas/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer